org.apache.ignite.client

## Interface ClientRetryPolicyContext

    public interface ClientRetryPolicyContext

Retry policy context. See `ClientRetryPolicy.shouldRetry(org.apache.ignite.client.ClientRetryPolicyContext)`.

### Method Summary

All Methods Instance Methods Abstract Methods
`ClientConfiguration` `configuration()` Gets the client configuration.
`ClientConnectionException` `exception()` Gets the connection exception that caused current retry iteration.
`int` `iteration()` Gets the current iteration number (zero-based).
`ClientOperationType` `operation()` Gets the operation type.

### Method Detail

#### configuration

    ClientConfiguration configuration()

Gets the client configuration.

Returns:
  Client configuration.

#### operation

    ClientOperationType operation()

Gets the operation type.

Returns:
  Operation type.

#### iteration

    int iteration()

Gets the current iteration number (zero-based).

Returns:
  Zero-based iteration counter.

#### exception

    ClientConnectionException exception()

Gets the connection exception that caused current retry iteration.

Returns:
  Exception.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023